> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a single refund



## OpenAPI

````yaml get /api/v1/refund/{reference}
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/refund/{reference}:
    get:
      tags:
        - Refund
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/RefundResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/RefundResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/RefundResponse'
components:
  schemas:
    RefundResponse:
      type: object
      properties:
        id:
          type: string
          nullable: true
        refundReference:
          type: string
          nullable: true
        amount:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        domain:
          type: string
          nullable: true
        channel:
          type: string
          nullable: true
        merchantNote:
          type: string
          nullable: true
        customerNote:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        transactionReference:
          type: string
          nullable: true
        createdAt:
          type: string
          nullable: true
        updatedAt:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````